/api/site/programs
get
Get site/tour program details
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
import_programsstringOptionalDefault:
0Responses
200
success
successbooleanOptionalExample:
trueget/api/site/programs
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'siteid' => '2',
'import_programs' => 1
);
$request = array(
'method' => 'GET',
'path' => 'site/programs',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"programs": [
{
"programid": "2",
"program": "test",
"hidden": "0",
"type": "0",
"name": "updated program name",
"extended_payout": "",
"max_ratio": "0",
"fallbackid": "0",
"addstr": "",
"deleted": "0",
"abi_paycom_prefix": "",
"abi_paycom_perc": "0",
"deduct_credits": "1",
"deduct_chargebacks": "1",
"deduct_voids": "0",
"deduct_insufficient": "0",
"verify_hash": "0",
"verify_initial": "0",
"retro_payout": "1",
"hide_rebills": "1",
"hide_joins": "1",
"system": "",
"system_key_field": "",
"system_key": "",
"coupon_code": "",
"description": "updated program description",
"thumb": "",
"thumb_ext": "",
"import_program": "0",
"ccbillid": "0",
"enabled": 1
}
],
"set_programs": [],
"tours": [
{
"tourid": 2,
"name": "test tour name",
"programs": {
"2": {
"programid": 2,
"name": "updated program name",
"enabled": 0
}
},
"programs_list": [
{
"programid": 2,
"name": "updated program name",
"enabled": 0
}
]
},
{
"tourid": 4,
"name": "test tour",
"programs": {
"2": {
"programid": 2,
"name": "updated program name",
"enabled": 0
}
},
"programs_list": [
{
"programid": 2,
"name": "updated program name",
"enabled": 0
}
]
}
],
"success": true
}Last updated
Was this helpful?